package com.bonus.canteen.core.account.dto;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

public class MacAccPerRchgPayDTO {
   @ApiModelProperty("人员id")
   private @NotNull(
   message = "{acc_single_null_custid_exception}"
) Long custId;
   @ApiModelProperty("支付方式 4-设备现金支付，10-支付宝扫码，20-微信扫码,60-其他付款码支付,98-第三方设备支付")
   private @NotNull(
   message = "{acc_recharge_null_paytype}"
) Integer payType;
   @ApiModelProperty("充值金额")
   private @NotNull(
   message = "{acc_operation_amount_null_exception}"
) Integer amount;
   @ApiModelProperty("二维码信息 设备扫码充值使用")
   private String authCode;
   @ApiModelProperty(
      value = "交易类型",
      hidden = true
   )
   private Integer tradeType;
   @ApiModelProperty(
      value = "设备sn码",
      hidden = true
   )
   private String machineSn;
   @ApiModelProperty(
      value = "设备类型 1-多功能终端 2-现金充值机",
      hidden = true
   )
   private Integer machineType;
   @ApiModelProperty("外部交易流水号")
   private String outTradeNo;

   public Long getCustId() {
      return this.custId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getMachineType() {
      return this.machineType;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMachineType(final Integer machineType) {
      this.machineType = machineType;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

}
